Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# AIBehaviors Class Reference

List of all members.

## Public Member Functions
| addDynamicObstacle (NodePath obstacle)
| This function starts the pathfinding obstacle navigation for the passed in obstacle.
| addStaticObstacle (NodePath obstacle)
| This function allows the user to dynamically add obstacles to the game environment.
| addToPath (VBase3 pos)
| This function adds positions to the path to follow.
| arrival ()
| This function activates arrival.
| arrival (double distance)
| This function activates arrival.
string | behaviorStatus (string ai_type)
| This function returns the status of an AI Type whether it is active, paused or disabled.
| evade (NodePath target_object, double panic_distance, double relax_distance)
| This function activates evade_activate.
| evade (NodePath target_object)
| This function activates evade_activate.
| evade (NodePath target_object, double panic_distance)
| This function activates evade_activate.
| evade (NodePath target_object, double panic_distance, double relax_distance, float evade_wt)
| This function activates evade_activate.
| flee (VBase3 pos)
| flee (NodePath target_object, double panic_distance, double relax_distance, float flee_wt)
| This function activates flee_activate and creates an object of the Flee class.
| flee (NodePath target_object, double panic_distance, double relax_distance)
| This function activates flee_activate and creates an object of the Flee class.
| flee (NodePath target_object, double panic_distance)
| This function activates flee_activate and creates an object of the Flee class.
| flee (VBase3 pos, double panic_distance)
| flee (NodePath target_object)
| This function activates flee_activate and creates an object of the Flee class.
| flee (VBase3 pos, double panic_distance, double relax_distance, float flee_wt)
| flee (VBase3 pos, double panic_distance, double relax_distance)
| flock (float flock_wt)
| This function activates flock.
| initPathFind (string navmesh_filename)
| This function activates path finding in the character.
| obstacleAvoidance (float feeler_length)
| This function activates obstacle avoidance for a given character.
| obstacleAvoidance ()
| This function activates obstacle avoidance for a given character.
| pathFindTo (VBase3 pos)
| This function checks for the source and target in the navigation mesh for its availability and then finds the best path via the A* algorithm Then it calls the path follower to make the object follow the path.
| pathFindTo (NodePath target)
| This function checks for the source and target in the navigation mesh for its availability and then finds the best path via the A* algorithm Then it calls the path follower to make the object follow the path.
| pathFindTo (VBase3 pos, string type)
| This function checks for the source and target in the navigation mesh for its availability and then finds the best path via the A* algorithm Then it calls the path follower to make the object follow the path.
| pathFindTo (NodePath target, string type)
| This function checks for the source and target in the navigation mesh for its availability and then finds the best path via the A* algorithm Then it calls the path follower to make the object follow the path.
| pathFollow (float follow_wt)
| This function activates path following.
| pauseAi (string ai_type)
| This function pauses individual or all the AIs.
| pursue (NodePath target_object, float pursue_wt)
| This function activates pursue.
| pursue (NodePath target_object)
| This function activates pursue.
| removeAi (string ai_type)
| This function removes individual or all the AIs.
| resumeAi (string ai_type)
| This function resumes individual or all the AIs.
| seek (VBase3 pos, float seek_wt)
| seek (NodePath target_object)
| This function activates seek and makes an object of the Seek class.
| seek (NodePath target_object, float seek_wt)
| This function activates seek and makes an object of the Seek class.
| seek (VBase3 pos)
| startFollow (string type)
| This function starts the path follower.
| startFollow ()
| This function starts the path follower.
| wander (double wander_radius, int flag, double aoe, float wander_weight)
| This function activates wander.
| wander (double wander_radius, int flag)
| This function activates wander.
| wander ()
| This function activates wander.
| wander (double wander_radius, int flag, double aoe)
| This function activates wander.
| wander (double wander_radius)
| This function activates wander.

## Member Function Documentation

addDynamicObstacle | ( | NodePath | obstacle | ) |

This function starts the pathfinding obstacle navigation for the passed in obstacle.

addStaticObstacle | ( | NodePath | obstacle | ) |

This function allows the user to dynamically add obstacles to the game environment.

The function will update the nodes within the bounding volume of the obstacle as non-traversable. Hence will not be considered by the pathfinding algorithm.

addToPath | ( | VBase3 | pos | ) |

This function adds positions to the path to follow.

arrival | ( |  | ) |

This function activates arrival.

This is the function we want the user to call for arrival to be done.

arrival | ( | double | distance | ) |

This function activates arrival.

This is the function we want the user to call for arrival to be done.

string behaviorStatus | ( | string | ai_type | ) |

This function returns the status of an AI Type whether it is active, paused or disabled.

It returns -1 if an invalid string is passed.

evade | ( | NodePath | target_object,
|  | double | panic_distance,
|  | double | relax_distance
| ) |  |

This function activates evade_activate.

evade | ( | NodePath | target_object | ) |

This function activates evade_activate.

evade | ( | NodePath | target_object,
|  | double | panic_distance
| ) |  |

This function activates evade_activate.

evade | ( | NodePath | target_object,
|  | double | panic_distance,
|  | double | relax_distance,
|  | float | evade_wt
| ) |  |

This function activates evade_activate.

flee | ( | VBase3 | pos | ) |

flee | ( | NodePath | target_object,
|  | double | panic_distance,
|  | double | relax_distance,
|  | float | flee_wt
| ) |  |

This function activates flee_activate and creates an object of the Flee class.

This function is overloaded to accept a NodePath or an LVecBase3f.

flee | ( | NodePath | target_object,
|  | double | panic_distance,
|  | double | relax_distance
| ) |  |

This function activates flee_activate and creates an object of the Flee class.

This function is overloaded to accept a NodePath or an LVecBase3f.

flee | ( | NodePath | target_object,
|  | double | panic_distance
| ) |  |

This function activates flee_activate and creates an object of the Flee class.

This function is overloaded to accept a NodePath or an LVecBase3f.

flee | ( | VBase3 | pos,
|  | double | panic_distance
| ) |  |

flee | ( | NodePath | target_object | ) |

This function activates flee_activate and creates an object of the Flee class.

This function is overloaded to accept a NodePath or an LVecBase3f.

flee | ( | VBase3 | pos,
|  | double | panic_distance,
|  | double | relax_distance,
|  | float | flee_wt
| ) |  |

flee | ( | VBase3 | pos,
|  | double | panic_distance,
|  | double | relax_distance
| ) |  |

flock | ( | float | flock_wt | ) |

This function activates flock.

This is the function we want the user to call for flock to be done.

initPathFind | ( | string | navmesh_filename | ) |

This function activates path finding in the character.

This function accepts the meshdata in .csv format.

obstacleAvoidance | ( | float | feeler_length | ) |

This function activates obstacle avoidance for a given character.

This is the function we want the user to call for obstacle avoidance to be performed.

obstacleAvoidance | ( |  | ) |

This function activates obstacle avoidance for a given character.

This is the function we want the user to call for obstacle avoidance to be performed.

pathFindTo | ( | VBase3 | pos | ) |

This function checks for the source and target in the navigation mesh for its availability and then finds the best path via the A* algorithm Then it calls the path follower to make the object follow the path.

pathFindTo | ( | NodePath | target | ) |

This function checks for the source and target in the navigation mesh for its availability and then finds the best path via the A* algorithm Then it calls the path follower to make the object follow the path.

pathFindTo | ( | VBase3 | pos,
|  | string | type
| ) |  |

This function checks for the source and target in the navigation mesh for its availability and then finds the best path via the A* algorithm Then it calls the path follower to make the object follow the path.

pathFindTo | ( | NodePath | target,
|  | string | type
| ) |  |

This function checks for the source and target in the navigation mesh for its availability and then finds the best path via the A* algorithm Then it calls the path follower to make the object follow the path.

pathFollow | ( | float | follow_wt | ) |

This function activates path following.

This is the function we want the user to call for path following.

pauseAi | ( | string | ai_type | ) |

This function pauses individual or all the AIs.

add for path follow

pursue | ( | NodePath | target_object,
|  | float | pursue_wt
| ) |  |

This function activates pursue.

This is the function we want the user to call for pursue to be done.

pursue | ( | NodePath | target_object | ) |

This function activates pursue.

This is the function we want the user to call for pursue to be done.

removeAi | ( | string | ai_type | ) |

This function removes individual or all the AIs.

add for path follow

resumeAi | ( | string | ai_type | ) |

This function resumes individual or all the AIs.

seek | ( | VBase3 | pos,
|  | float | seek_wt
| ) |  |

seek | ( | NodePath | target_object | ) |

This function activates seek and makes an object of the Seek class.

This is the function we want the user to call for seek to be done. This function is overloaded to accept a NodePath or an LVecBase3f.

seek | ( | NodePath | target_object,
|  | float | seek_wt
| ) |  |

This function activates seek and makes an object of the Seek class.

This is the function we want the user to call for seek to be done. This function is overloaded to accept a NodePath or an LVecBase3f.

seek | ( | VBase3 | pos | ) |

startFollow | ( | string | type | ) |

This function starts the path follower.

startFollow | ( |  | ) |

This function starts the path follower.

wander | ( | double | wander_radius,
|  | int | flag,
|  | double | aoe,
|  | float | wander_weight
| ) |  |

This function activates wander.

This is the function we want the user to call for flock to be done.

wander | ( | double | wander_radius,
|  | int | flag
| ) |  |

This function activates wander.

This is the function we want the user to call for flock to be done.

wander | ( |  | ) |

This function activates wander.

This is the function we want the user to call for flock to be done.

wander | ( | double | wander_radius,
|  | int | flag,
|  | double | aoe
| ) |  |

This function activates wander.

This is the function we want the user to call for flock to be done.

wander | ( | double | wander_radius | ) |

This function activates wander.

This is the function we want the user to call for flock to be done.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties